<?php
$host = 'localhost'; 
$database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Ejemplos\Ejemplos.fdb';
$username = 'SYSDBA'; 
$password = 'masterkey'; 

header('Content-Type: application/json');

try {
    $dbh = new PDO("firebird:host=$host;dbname=$database; charset=UTF8", $username, $password);

    $monedaSeleccionada = $_GET['moneda'];

    $sql = "SELECT DESCR, TCAMBIO FROM MONED01 WHERE NUM_MONED = :monedaSeleccionada";
    $stmt = $dbh->prepare($sql);
    $stmt->bindValue(':monedaSeleccionada', $monedaSeleccionada, PDO::PARAM_STR);
    $stmt->execute();
    $infoMoneda = $stmt->fetch(PDO::FETCH_ASSOC);

    echo json_encode($infoMoneda);
} catch (PDOException $e) {
    echo json_encode(array('error' => $e->getMessage()));
}
?>
